/*
 * oh323.h
 *
 * Header file for OpenH323 Channel Driver for ASTERISK PBX.
 *  
 * Copyright (C) 2002,2003 Inaccess Networks.
 * Michael Manousos <manousos@inaccessnetworks.com>
 *
 * This file is part of "H323 support for ASTERISK"
 *
 * "H323 support for ASTERISK" is free software;
 * you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version. 
 *
 * "H323 support for ASTERISK" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. 
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: oh323.h,v 1.22 2003/08/07 16:17:10 manousos Exp $
 *
 */

#ifndef _ASTERISK_OH323_H
#define _ASTERISK_OH323_H

#define AST_OH323_MAX_CALLS			100
#define	AST_OH323_FIFO_PREFIX		"audiosocket:"
#define	AST_OH323_MAX_CALLED_ADDR	256
#define	AST_OH323_MAX_CALL_TOK		128
#define	AST_OH323_MAX_CALL_ADDR		128

#define	MAX_FIFO_NAME		30
#define	MAX_EXCEPTION_DATA	128
#if 0
#define	MAX_ALIAS_NUM		20
#define	MAX_ALIAS_LENGTH	100
#define	MAX_PREFIX_NUM		20
#define	MAX_PREFIX_LENGTH	100
#endif
#define	OH323_CAPABILITY_FULLBANDWIDTH	0x7fffffff
#define	OH323_MAX_BUF					2048
#define	OH323_MAX_QBUF					2048

/* Version stuff */
#define	OH323_VERSION_MAJOR		0
#define	OH323_VERSION_MINOR		5
#define	OH323_VERSION_BUILD		5

enum {
	OH323_STATE_NULL = 0,
	OH323_STATE_INIT,
	OH323_STATE_RING,
	OH323_STATE_RINGING,
	OH323_STATE_ESTABLISHED,
	OH323_STATE_CLEARED
};

#endif
